SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000192SiT!schedulerpublic2008-10-23 17:532011-12-03 15:47
Reporterivan 
Assigned ToTomse 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0000192: Force option for scheduler
DescriptionIt would be useful in some circumstances, testing for one, to be able to force scheduled tasks to run even though they might have run recently and are not due to be run for a while yet.

A param to auto.php might be a good way to do this.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001166)
mfeider67 (reporter)
2009-06-04 00:32

would be nice to have auto.php when run in a browser window output something more than a blank screen, perhaps statistics to the user on success or fail or wait state of various functions.

I do notice that the error log file captures some of these. You have a blank canvas right now why not put something there? And in the cron job just pipe to >> /dev/nul

currently in the error log file
2009-06-03T14:57:01-07:00 /var/www/helpdesk/auto.php Found 0 Incidents to close
2009-06-03T14:57:01-07:00 /var/www/helpdesk/auto.php Purged 0 journal entries
2009-06-03T14:57:01-07:00 /var/www/helpdesk/auto.php Calculating SLA times

Thought I would attach here because you could display the state of forced run and the variable as well here.
User avatar (0004347)
Tomse (developer)
2011-12-03 15:47

fixed in e9c7958 & additional ae521bd

- Issue History
Date Modified Username Field Change
2008-10-23 17:53 ivan New Issue
2008-11-05 15:59 ivan Target Version 3.41 => 3.50
2008-12-04 11:31 kieran Status new => confirmed
2009-05-30 14:51 ivan Target Version 3.50 => 3.60
2009-06-04 00:32 mfeider67 Note Added: 0001166
2009-08-21 14:36 kieran Target Version 3.60 => 4.0
2010-04-10 22:53 ivan Status confirmed => assigned
2010-04-10 22:53 ivan Assigned To => ivan
2011-02-14 13:21 ivan Target Version 4.0 => 3.90beta1
2011-11-22 15:43 Tomse Assigned To ivan => Tomse
2011-12-03 15:47 Tomse Note Added: 0004347
2011-12-03 15:47 Tomse Status assigned => resolved
2011-12-03 15:47 Tomse Fixed in Version => Current GIT
2011-12-03 15:47 Tomse Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker